Bug 444054 - gnome-power-manager triggers uvcvideo bug
gnome-power-manager triggers uvcvideo bug
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-24 15:23 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Entire dmesg (39.07 KB, text/plain)
2008-04-24 15:23 EDT, Luke Macken
no flags Details

  None (edit)
Description Luke Macken 2008-04-24 15:23:22 EDT
Description of problem:
I'm hitting the following bug on my ThinkPad X300 with Fedora 8, which seems to
render gnome-power-manager useless.  I have been unable to reproduce this issue
in rawhide.

BUG: unable to handle kernel paging request at virtual address fffffff0
printing eip: f8b9f755 *pde = 00799067 *pte = 00000000.
Oops: 0000 [#1] SMP.
Modules linked in: i915 drm ipt_MASQUERADE iptable_nat nf_nat bridge rfcomm
l2cap bluetooth vmnet(P)(U) parport_pc parport vmblock(U) vmmon(P)(U) fuse
sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6
xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter
ip6_tables x_tables ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr
iscsi_tcp libiscsi scsi_transport_iscsi cpufreq_ondemand acpi_cpufreq loop
dm_multipath ipv6 kvm_intel kvm arc4 ecb blkcipher uvcvideo iwl4965
snd_hda_intel compat_ioctl32 iwlcore videodev pcspkr ata_piix snd_seq_dummy
i2c_i801 iTCO_wdt v4l1_compat mac80211 cfg80211 i2c_core iTCO_vendor_support
pata_acpi v4l2_common ata_generic snd_seq_oss ac snd_seq_midi_event battery
snd_seq video snd_seq_device output snd_pcm_oss snd_mixer_oss e1000 button
snd_pcm snd_timer snd_page_alloc snd_hwdep snd soundcore sg joydev thinkpad_acpi
hwmon dm_snapshot dm_zero dm_mirror dm_mod ahci libata sd_mod scsi_mod ext3 jbd
mbcache uhci_hcd ohci_hcd ehci_hcd

Pid: 2830, comm: gnome-power-man Tainted: P        ( #1)
EIP: 0060:[<f8b9f755>] EFLAGS: 00010246 CPU: 0
EIP is at uvc_get_video_ctrl+0x143/0x153 [uvcvideo]
EAX: 00000000 EBX: 00000001 ECX: 00000000 EDX: f58c0bcc
ESI: f3b5d758 EDI: 0000001a EBP: f711a030 ESP: f3b5d6e0
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process gnome-power-man (pid: 2830, ti=f3b5d000 task=f58f33b0 task.ti=f3b5d000)
Stack: 00000001 00000001 f3b5d6fa 0000001a 000003e8 00000082 0000fff7 00000000.
       00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000.
       f711a030 f3b5d83c f3b5d83c f8b9fbcb 00000082 fffaffe7 ffffff7f fbefff9f.
Call Trace:
 [<f8b9fbcb>] uvc_probe_video+0x50/0x11d [uvcvideo]
 [<f8b9de19>] uvc_v4l2_try_format+0x26f/0x2f1 [uvcvideo]
 [<f8b9e618>] uvc_v4l2_do_ioctl+0x636/0xce7 [uvcvideo]
 [<f8a9c511>] v4l_compat_translate_ioctl+0x379/0x1c5c [v4l1_compat]
 [<c046b2f4>] mempool_alloc+0x37/0xd5
 [<f89535ea>] ahci_qc_prep+0x4f/0x145 [ahci]
 [<c04f1b40>] __generic_unplug_device+0x1d/0x1f
 [<c04eed62>] elv_insert+0x146/0x1ec
 [<c04f1f03>] blk_plug_device+0x74/0xbb
 [<c04f3171>] __make_request+0x4a0/0x501
 [<c046b2f4>] mempool_alloc+0x37/0xd5
 [<c046b2f4>] mempool_alloc+0x37/0xd5
 [<f89535ea>] ahci_qc_prep+0x4f/0x145 [ahci]
 [<f8a0377a>] ata_qc_issue+0x54d/0x5a6 [libata]
 [<f8a09624>] ata_scsi_rw_xlat+0x13d/0x1f8 [libata]
 [<f8901b88>] scsi_dispatch_cmd+0x1a7/0x218 [scsi_mod]
 [<f8906f01>] scsi_request_fn+0x2f7/0x341 [scsi_mod]
 [<c04f1b17>] blk_remove_plug+0x60/0x6c
 [<c04f1b40>] __generic_unplug_device+0x1d/0x1f
 [<c04eed62>] elv_insert+0x146/0x1ec
 [<c04f1f03>] blk_plug_device+0x74/0xbb
 [<c04f3171>] __make_request+0x4a0/0x501
 [<c04ddb8d>] symhash+0xe/0x31
 [<c04a47ab>] __find_get_block+0x175/0x17f
 [<c04a47f0>] __getblk+0x3b/0x297
 [<c04e1c9d>] constraint_expr_eval+0x280/0x3ea
 [<c04e2380>] security_compute_av+0x388/0x41e
 [<c04d41b0>] avc_node_delete+0x23/0x2c
 [<c04d4363>] avc_alloc_node+0x103/0x15a
 [<c04d45a4>] avc_has_perm_noaudit+0x1ea/0x33a
 [<f8b9ec3a>] uvc_v4l2_do_ioctl+0xc58/0xce7 [uvcvideo]
 [<f8b9dfe2>] uvc_v4l2_do_ioctl+0x0/0xce7 [uvcvideo]
 [<c0468e39>] find_lock_page+0x19/0x7f
 [<c0423fd4>] kunmap_atomic+0x54/0xad
 [<c0424000>] kunmap_atomic+0x80/0xad
 [<f8b3eb0c>] video_usercopy+0x172/0x237 [videodev]
 [<c04d5d09>] file_has_perm+0x89/0x91
 [<f8b9dba4>] uvc_v4l2_ioctl+0x3b/0x41 [uvcvideo]
 [<f8b9dfe2>] uvc_v4l2_do_ioctl+0x0/0xce7 [uvcvideo]
 [<c04930cc>] do_ioctl+0x4c/0x62
 [<c0493319>] vfs_ioctl+0x237/0x249
 [<c0493370>] sys_ioctl+0x45/0x5d
 [<c04051da>] syscall_call+0x7/0xb
Code: 8b 85 70 0d 00 00 0f b6 4e 02 3b 48 20 77 22 8b 50 24 6b c1 34 83 ea 34 01
c2 74 15 0f b6 46 03 3b 42 2c 77 0c c1 e0 05 03 42 30 <8b> 40 f0 89 46 14 31 c0
83 c4 3c 5b 5e 5f 5d c3 55 57 56 53 89.
EIP: [<f8b9f755>] uvc_get_video_ctrl+0x143/0x153 [uvcvideo] SS:ESP 0068:f3b5d6e0
---[ end trace 1b38a23ffb15b01a ]---

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. turn on laptop
Comment 1 Luke Macken 2008-04-24 15:23:22 EDT
Created attachment 303678 [details]
Entire dmesg
Comment 2 Bug Zapper 2008-11-26 05:33:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 01:25:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.